Add or Update (Token Auth)

  • PUT
  • /unit-tests
  • /sessions
  • /:session_id
  • /cases

Add or update a test case using suite token authentication

Request

URL PARAMETERS
session_idrequiredstring
The ID of the test session

Example: "r4nBYXVq"

POST PARAMETERS
namerequiredstring
Name of the test case
test_group_namerequiredstring
Name of the test group this case belongs to (typically corresponds to a test suite in JUnit XML)
classnamerequiredstring
Fully qualified class name of the test
statusrequiredstring enum
Test execution status
Allowed enum:
PASSED,
FAILED,
SKIPPED,
ERROR
timerequirednumber
Execution time in seconds
datastring
Original XML data from the test report

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
Unique identifier of the test case
namestring
Name of the test case
test_group_namestring
Name of the test group this case belongs to (typically corresponds to a test suite in JUnit XML)
test_group_idstring
ID of the test group this case belongs to
classnamestring
Fully qualified class name of the test
statusstring enum
Test execution status
Allowed enum:
PASSED,
FAILED,
SKIPPED,
ERROR
timenumber
Execution time in seconds
datastring
Original XML data from the test report

Last modified on Jan 26, 2026

Request example

curl -X PUT "https://api.buddy.works/unit-tests/sessions/:session_id/cases" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "testUserLogin", "test_group_name": "com.example.tests.IntegrationTests", "classname": "com.example.tests.IntegrationTests", "status": "PASSED", "time": 2.5, "data": "<testcase name=\"testUserLogin\" classname=\"com.example.tests.IntegrationTests\" time=\"2.5\"/>" }'